Workflows Service, REST: Execution.Start
Starts new Workflow execution.
HTTP request
POST https://serverless-workflows.api.yandexcloud.kz/workflows/v1/execution/start
Body parameters
{
"workflowId": "string",
"input": {
// Includes only one of the fields `inputJson`, `inputValue`
"inputJson": "string",
"inputValue": {
// Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`
"nullValue": "string",
"numberValue": "string",
"stringValue": "string",
"boolValue": "boolean",
"structValue": "object",
"listValue": {
"values": [
"object"
]
}
// end of the list of possible fields
}
// end of the list of possible fields
}
}
|
Field |
Description |
|
workflowId |
string Required field. ID of the Workflow. |
|
input |
Input for the Workflow execution |
ExecutionInput
|
Field |
Description |
|
inputJson |
string JSON input data for the Workflow execution. Includes only one of the fields |
|
inputValue |
Input value for the Workflow execution. Includes only one of the fields |
Value
|
Field |
Description |
|
nullValue |
enum (NullValue) Includes only one of the fields |
|
numberValue |
string Includes only one of the fields |
|
stringValue |
string Includes only one of the fields |
|
boolValue |
boolean Includes only one of the fields |
|
structValue |
object Includes only one of the fields |
|
listValue |
Includes only one of the fields |
ListValue
|
Field |
Description |
|
values[] |
Response
HTTP Code: 200 - OK
{
"executionId": "string"
}
|
Field |
Description |
|
executionId |
string ID of the Workflow execution. |
HTTP request
POST https://serverless-workflows.api.yandexcloud.kz/workflows/v1/execution/{workflowId}/start
Path parameters
|
Field |
Description |
|
workflowId |
string Required field. ID of the Workflow. |
Body parameters
{
"input": {
// Includes only one of the fields `inputJson`, `inputValue`
"inputJson": "string",
"inputValue": {
// Includes only one of the fields `nullValue`, `numberValue`, `stringValue`, `boolValue`, `structValue`, `listValue`
"nullValue": "string",
"numberValue": "string",
"stringValue": "string",
"boolValue": "boolean",
"structValue": "object",
"listValue": {
"values": [
"object"
]
}
// end of the list of possible fields
}
// end of the list of possible fields
}
}
|
Field |
Description |
|
input |
Input for the Workflow execution |
ExecutionInput
|
Field |
Description |
|
inputJson |
string JSON input data for the Workflow execution. Includes only one of the fields |
|
inputValue |
Input value for the Workflow execution. Includes only one of the fields |
Value
|
Field |
Description |
|
nullValue |
enum (NullValue) Includes only one of the fields |
|
numberValue |
string Includes only one of the fields |
|
stringValue |
string Includes only one of the fields |
|
boolValue |
boolean Includes only one of the fields |
|
structValue |
object Includes only one of the fields |
|
listValue |
Includes only one of the fields |
ListValue
|
Field |
Description |
|
values[] |
Response
HTTP Code: 200 - OK
{
"executionId": "string"
}
|
Field |
Description |
|
executionId |
string ID of the Workflow execution. |